# KeyboardButtonPollType - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.buttons / KeyboardButtonPollType

# KeyboardButtonPollType

(common) `sealed class KeyboardButtonPollType` (source)

### Properties

(common)

#### type

`abstract val type: String`

### Inheritors

(common)

#### QuizKeyboardButtonPollType

`object QuizKeyboardButtonPollType : KeyboardButtonPollType`

(common)

#### RegularKeyboardButtonPollType

`object RegularKeyboardButtonPollType : KeyboardButtonPollType`

(common)

#### UnknownKeyboardButtonPollType

`class UnknownKeyboardButtonPollType : KeyboardButtonPollType`